NueForm

Themes-API

Passe das visuelle Erscheinungsbild deiner Formulare mit granularen Theme-Eigenschaften an.

Mit der Themes-API liest und aktualisierst du das vollständige visuelle Theme eines Formulars. Theme-Eigenschaften steuern Farben, Schriftarten, Branding und Layout — sowohl für das Formular selbst als auch für einzelne UI-Elemente wie Schaltflächen, Indikatoren und Optionen.

Alle Request- und Antwort-Bodys verwenden Feldnamen in snake_case.

Formular-Theme abrufen

GET/api/v1/forms/:id/theme

Ruft alle Theme-Eigenschaften eines Formulars ab.

Pfad-Parameter

idstring

Die Formular-ID

Antwort

json
{
  "theme_color": "#6366f1",
  "background_color": "#0a0a0a",
  "text_color": "#ffffff",
  "answer_text_color": "#e5e7eb",
  "placeholder_color": "#6b7280",
  "button_color": "#6366f1",
  "button_text_color": "#ffffff",
  "title_color": "#f9fafb",
  "description_color": "#d1d5db",
  "option_text_color": "#e5e7eb",
  "indicator_bg_color": "#1f2937",
  "indicator_text_color": "#9ca3af",
  "font_family": "Inter",
  "font_family_answer": "Inter",
  "font_family_button": "Inter",
  "font_family_description": "Inter",
  "font_family_option": "Inter",
  "font_family_indicator": "Inter",
  "question_font_size": "24px",
  "custom_css": null,
  "show_progress_bar": true,
  "branding_logo_url": null,
  "branding_footer_text": null,
  "hide_branding": false,
  "top_logo_url": null,
  "top_logo_size": null,
  "top_logo_alignment": "center",
  "top_logo_css": null,
  "watermark_css": null,
  "welcome_title": "Welcome",
  "welcome_description": null,
  "welcome_button_text": "Start",
  "thank_you_title": "Thank you!",
  "thank_you_description": null
}

Codebeispiele

bash
curl -X GET "https://api.nueform.io/api/v1/forms/665a1b2c3d4e5f6a7b8c9d0e/theme" \
  -H "Authorization: Bearer YOUR_API_KEY"

Formular-Theme aktualisieren

PUT/api/v1/forms/:id/theme

Aktualisiert die Theme-Eigenschaften eines Formulars. Gib nur die Felder an, die du ändern möchtest. Nicht angegebene Felder behalten ihre aktuellen Werte.

Pfad-Parameter

idstring

Die Formular-ID

Request-Body

Gib eine beliebige Kombination von Theme-Eigenschaften aus der Theme-Eigenschaften-Referenz unten an.

Request-Beispiel

json
{
  "theme_color": "#2563eb",
  "background_color": "#ffffff",
  "text_color": "#111827",
  "button_color": "#2563eb",
  "button_text_color": "#ffffff",
  "font_family": "Poppins",
  "question_font_size": "28px",
  "show_progress_bar": true,
  "hide_branding": true,
  "top_logo_url": "https://cdn.example.com/logo.svg",
  "top_logo_size": "140px",
  "top_logo_alignment": "left"
}

Antwort

Gibt das vollständige, aktualisierte Theme-Objekt zurück (gleiches Schema wie Formular-Theme abrufen).

Codebeispiele

bash
curl -X PUT "https://api.nueform.io/api/v1/forms/665a1b2c3d4e5f6a7b8c9d0e/theme" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "theme_color": "#2563eb",
    "background_color": "#ffffff",
    "text_color": "#111827",
    "font_family": "Poppins"
  }'

Theme-Eigenschaften-Referenz

Unten findest du die vollständige Liste der zur Anpassung verfügbaren Theme-Eigenschaften.

Farbeigenschaften

theme_colorstring

Primäre Akzentfarbe, die im gesamten Formular verwendet wird (Fokusringe, Hervorhebungen). Standard: "#6366f1"

background_colorstring

Hintergrundfarbe des Formulars. Standard: "#0a0a0a"

text_colorstring

Primäre Textfarbe der Fragen. Standard: null

answer_text_colorstring

Farbe des in Antwortfelder getippten Textes. Standard: null

placeholder_colorstring

Platzhalter-Textfarbe für leere Eingabefelder. Standard: null

button_colorstring

Hintergrundfarbe für Absenden-/Weiter-Schaltflächen. Standard: null

button_text_colorstring

Textfarbe für Absenden-/Weiter-Schaltflächen. Standard: null

title_colorstring

Textfarbe der Fragetitel (überschreibt text_color für Titel). Standard: null

description_colorstring

Textfarbe der Fragebeschreibungen. Standard: null

option_text_colorstring

Textfarbe für Multiple-Choice- und Dropdown-Optionen. Standard: null

indicator_bg_colorstring

Hintergrundfarbe des Schritt-/Fragennummer-Indikators. Standard: null

indicator_text_colorstring

Textfarbe des Schritt-/Fragennummer-Indikators. Standard: null

Schrifteigenschaften

font_familystring

Schriftfamilie für Fragetitel. Unterstützt jede Google-Fonts- oder Systemschrift. Standard: null

font_family_answerstring

Schriftfamilie für den Text in Antwortfeldern. Standard: null

font_family_buttonstring

Schriftfamilie für Schaltflächenbeschriftungen. Standard: null

font_family_descriptionstring

Schriftfamilie für Fragebeschreibungen. Standard: null

font_family_optionstring

Schriftfamilie für Multiple-Choice-Optionsbeschriftungen. Standard: null

font_family_indicatorstring

Schriftfamilie für Schritt-/Fragennummer-Indikatoren. Standard: null

question_font_sizestring

Schriftgröße für Fragetitel (z. B. "24px", "1.5rem"). Standard: null

Layout & Fortschritt

show_progress_barboolean

Ob am oberen Rand des Formulars ein Fortschrittsbalken angezeigt wird. Standard: true

show_question_navboolean

Ob die Navigationspfeile und der Fragenzähler (z. B. 3 / 16) unten rechts bei Formularen mit Einzelfragen-Ansicht (NueForm) angezeigt werden. Standard: true

Branding

branding_logo_urlstring

URL für ein Branding-Logo im Footer-Bereich. Standard: null

branding_footer_textstring

Eigener Text im Formular-Footer. Standard: null

hide_brandingboolean

Blendet den Standard-NueForm-Branding-Footer aus. Standard: false

top_logo_urlstring

URL für ein Logo am oberen Rand des Formulars. Standard: null

top_logo_sizestring

Größe des oberen Logos (z. B. "120px", "80px"). Standard: null

top_logo_alignmentstring

Horizontale Ausrichtung des oberen Logos: "left", "center", "right". Standard: null

top_logo_cssstring

Eigenes CSS für den Container des oberen Logos. Standard: null

watermark_cssstring

Eigenes CSS für das Branding-Wasserzeichen. Standard: null

Willkommens- & Dankesbildschirme

welcome_titlestring

Titeltext auf dem Willkommensbildschirm. Standard: null

welcome_descriptionstring

Beschreibungstext auf dem Willkommensbildschirm. Standard: null

welcome_button_textstring

Schaltflächenbeschriftung auf dem Willkommensbildschirm. Standard: "Start"

thank_you_titlestring

Titeltext auf dem Abschlussbildschirm. Standard: "Thank you!"

thank_you_descriptionstring

Beschreibungstext auf dem Abschlussbildschirm. Standard: null

Erweitert

custom_cssstring

Beliebiges CSS, das in den Formular-Renderer injiziert wird. Für fortgeschrittene Anpassungen, die Theme-Eigenschaften nicht abdecken. Standard: null


Fehlerantworten

Standard-Fehlerantworten, die diese Endpunkte zurückgeben.

Fehlercodes

401Unauthorized

Fehlender oder ungültiger API-Schlüssel

403Forbidden

Unzureichende Berechtigungen bei Team-Formularen

404Not Found

Formular nicht gefunden

500Server Error

Interner Serverfehler

Fehlerbeispiel

json
{
  "error": "Form not found"
}
Zuletzt aktualisiert: 20. Juli 2026